package org.jivesoftware.smack.sasl;

import javax.security.auth.callback.CallbackHandler;
import org.jivesoftware.smack.SmackException;

public class SASLAnonymous extends SASLMechanism {
   public static final String NAME = "ANONYMOUS";

   public String getName() {
      return "ANONYMOUS";
   }

   public int getPriority() {
      return 500;
   }

   protected void authenticateInternal(CallbackHandler cbh) throws SmackException {
   }

   protected byte[] getAuthenticationText() throws SmackException {
      return null;
   }

   public SASLAnonymous newInstance() {
      return new SASLAnonymous();
   }

   public void checkIfSuccessfulOrThrow() throws SmackException {
   }
}
